# -*-python-*-

__package__    = "s60-simplelogger.py"
__version__    = "1.0"
__author__     = "Aaron Straup Cope"
__url__        = "http://www.aaronland.info/python/s60-simplelibs/"
__cvsversion__ = "$Revision: 1.2 $"
__date__       = "$Date: 2007/05/17 16:50:10 $"
__copyright__  = "Copyright (c) 2006-2007 Aaron Straup Cope. Perl Artistic License."

import os
import os.path

class simplelogger :

    def __init (self) :

        self.__queue = []
        self.__logroot = ''
        self.__logfile = ''

    #
    #
    #

    def set_logroot (self, root) :
        self.__logroot = root

    #
    #
    #
    
    def set_logfile (self, fname) :
        self.__logfile = fname

    #
    #
    #
    
    def log (self, msg) :

        try :
            self.log_to_disk(msg)
        except Exception, e:
            # self.__queue.append(msg)
            raise Exception(e)

        return True

    #
    #
    #
    
    def log_to_disk (self, msg) :

        if not os.path.isdir(self.__logroot) :
            os.mkdir(self.__logroot)
            
        path = "%s\%s" % (self.__logroot, self.__logfile)
        
        try :
            fh = open(path, "a")
            fh.write(msg)
            fh.close()            
        except Exception, e :
            raise Exception("Failed to open %s : %s" % (path, e))

        return True
