# -*-python-*-

__package__    = "s60-simplestore.py"
__version__    = "1.0"
__author__     = "Aaron Straup Cope"
__url__        = "http://www.aaronland.info/python/s60-simplelibs/"
__cvsversion__ = "$Revision: 1.2 $"
__date__       = "$Date: 2007/05/17 16:50:10 $"
__copyright__  = "Copyright (c) 2006 Aaron Straup Cope. Perl Artistic License."

import e32
    
class simplestore :
    
    def __init__ (self, path) :
        self.__path__ = path
        self.__db__   = None
        self.open()

    #
    #
    #

    def open (self) :

        if e32.in_emulator() :
            import anydbm
            self.__db__ = anydbm.open(self.__path__, 'c')            
        else :
            import e32dbm
            self.__db__ = e32dbm.open(self.__path__, 'c')        
        
    #
    #
    #
    
    def close (self) :
        self.__db__.close()
        self.__db__ = None
        
    #
    #
    #
    
    def read (self, key) :

        key = str(key)
        
        if self.__db__.has_key(key) :
            return self.__db__[key]
        
        return None

    #
    #
    #
    
    def write (self, key, value) :
        key   = str(key)
        value = str(value)
        
        self.__db__[key] = value
        self.save()

    #
    #
    #
    
    def save (self) :
        # hack...
        self.close()
        self.open()
