# -*-python-*-

__package__    = "s60_simplegeonames.py"
__version__    = "1.0"
__author__     = "Aaron Straup Cope"
__url__        = "http://www.aaronland.info/python/s60-simplelibs/"
__cvsversion__ = "$Revision: 1.1 $"
__date__       = "$Date: 2007/04/04 15:50:54 $"
__copyright__  = "Copyright (c) 2006-2007 Aaron Straup Cope. Perl Artistic License."

class simplegeonames :

    def find_nearby_place_name (self, lat, lon) :

        path = "/findNearbyPlaceNameJSON?lat=%s&lng=%s" % (lat, lon)
        
        try :
            http = simplehttp()
            res = http.get('ws.geonames.org', path)
        except Exception, e :
            raise Exception("Query error : %s" % e)
        
        try :
            json = simplejson()
            data = json.loads(res)
        except Exception, e :
            raise Exception("Parse error : %s" % e)

        return data['geonames']
        
